Bug 857487 - Review Request: ht-alegreya-fonts - A Serif typeface originally intended for literature
Summary: Review Request: ht-alegreya-fonts - A Serif typeface originally intended for ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daiki Ueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-14 15:06 UTC by Tom "spot" Callaway
Modified: 2012-11-08 06:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-08 06:45:26 UTC
Type: ---
dueno: fedora-review+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2012-09-14 15:06:51 UTC
Spec URL: http://spot.fedorapeople.org/ht-alegreya-fonts.spec
SRPM URL: http://spot.fedorapeople.org/ht-alegreya-fonts-1.004-1.fc18.src.rpm
Description: 
Alegreya was chosen as one of 53 "Fonts of the Decade" at the ATypI Letter2 
competition in September 2011, and one of the top 14 text type systems. It 
was also selected in the 2nd Bienal Iberoamericana de Diseño, competition 
held in Madrid in 2010. Alegreya is a typeface originally intended for 
literature. Among its crowning characteristics, it conveys a dynamic and 
varied rhythm which facilitates the reading of long texts. Also, it 
provides freshness to the page while referring to the calligraphic letter, 
not as a literal interpretation, but rather in a contemporary typographic 
language. The italic has just as much care and attention to detail in the 
design as the roman. The bold weights are strong, and the Black weights are 
really experimental for the genre. Not only does Alegreya provide great
performance, but also achieves a strong and harmonious text by means of 
elements designed in an atmosphere of diversity.

Fedora Account System Username: spot

Comment 1 Daiki Ueno 2012-09-26 07:51:31 UTC
Here is the review.

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[x]: License field in the package spec file matches the actual license.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[-]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[-]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[-]: SourceX / PatchY prefixed with %{name}.
     Note: Source2 (ht-alegreyaSC-fonts-fontconfig.conf) Source0
     (Alegreya.zip)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ht-alegreya-fonts-1.004-1.fc19.src.rpm
          ht-alegreya-fonts-1.004-1.fc19.noarch.rpm
ht-alegreya-fonts.src: W: spelling-error %description -l en_US de -> DE, ed, d
ht-alegreya-fonts.noarch: W: spelling-error %description -l en_US de -> DE, ed, d
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ht-alegreya-fonts
ht-alegreya-fonts.noarch: W: spelling-error %description -l en_US de -> DE, ed, d
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'

Comment 2 Tom "spot" Callaway 2012-10-08 17:24:27 UTC
New Package SCM Request
=======================
Package Name: ht-alegreya-fonts
Short Description: A Serif typeface originally intended for literature
Owners: spot
Branches: f16 f17 f18
InitialCC:

Comment 3 Gwyn Ciesla 2012-10-09 10:59:41 UTC
Git done (by process-git-requests).

Comment 4 Paul Flo Williams 2012-10-10 09:45:58 UTC
Package Change Request
======================
Package Name: ht-alegreya-fonts
Branches: f16 f17 f18
InitialCC: fonts-sig

I'd like the Fonts SIG to be notified of changes to this package in all active branches.

Comment 5 Gwyn Ciesla 2012-10-10 12:34:28 UTC
Misformatted request.

Comment 6 Paul Flo Williams 2012-10-10 12:43:52 UTC
(In reply to comment #5)
> Misformatted request.

Could you please expand on that? I'm attempting to follow the template shown here:

http://fedoraproject.org/wiki/Package_SCM_admin_requests

Except that I don't want new branches.

Comment 7 Paul Flo Williams 2012-10-10 13:48:36 UTC
Package Change Request
======================
Package Name: ht-alegreya-fonts
Branches: f16 f17 f18 devel
InitialCC: fonts-sig

I'd like the Fonts SIG to be notified of changes to this package in all active branches. (Added devel this time.)

(Thanks for the attention, Jon. Is there some other way I should be formatting these requests, or does the script simply not handle them? I have another dozen or so to do.)

Comment 8 Gwyn Ciesla 2012-10-10 13:50:30 UTC
Complete, sorry for not reading the whole request.

Comment 9 Fedora Update System 2012-10-23 17:30:42 UTC
ht-alegreya-fonts-1.004-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ht-alegreya-fonts-1.004-1.fc17

Comment 10 Fedora Update System 2012-10-23 17:30:54 UTC
ht-alegreya-fonts-1.004-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ht-alegreya-fonts-1.004-1.fc18

Comment 11 Fedora Update System 2012-10-23 17:31:05 UTC
ht-alegreya-fonts-1.004-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ht-alegreya-fonts-1.004-1.fc16

Comment 12 Fedora Update System 2012-10-23 19:45:30 UTC
ht-alegreya-fonts-1.004-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 13 Daiki Ueno 2012-11-08 06:45:26 UTC
Closing as it has been pushed to f18 stable.


Note You need to log in before you can comment on or make changes to this bug.